/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <12 04 2025> */

/**/
	/*fonts*/

	/*btns*/
/*Modal*/
/* Header */
	/**/
#floating-header {
    position: relative;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: #1d222a;
}
body:not([data-page-name="index"]) #navigation {
    position: relative;
}
/* Hero */
	/**/

.slider-info {
    min-height: fit-content;
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, white);
}
/* CTA */
	/**/
/* Welcome */
	/**/
.module-welcome.style-5 .ry-each.image-wrapper {
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    object-fit: contain;
}
/* Services */
	/**/
.ry-services.style2::before {
    background: var(--color-primary-background);
    width: 80%;
    left: 10%;
    opacity: .1;
    border-top-left-radius: 25px;
    border-top-right-radius: 260px;
	height: 55%;
    top: auto;
    bottom: 0;
}
.ry-services.style2 .each-block:nth-child(even) .photo:before {
	background: url(https://s3.amazonaws.com/static.organiclead.com/Site-74617bfd-2b2a-426d-a174-290ea6c12e2d/Icons/DeSouzaOpto_services_yellow.png) center center no-repeat;
	background-size: cover;
}
.ry-services.style2 .each-block:nth-child(odd) .photo:before {
	background: url(https://s3.amazonaws.com/static.organiclead.com/Site-74617bfd-2b2a-426d-a174-290ea6c12e2d/Icons/DeSouzaOpto_services_blue.png) center center no-repeat;
	background-size: cover;
}
.ry-services.style2 .each-block .photo:before, .ry-services.style2 .each-block .photo img {
    transition: all .3s;
}

.ry-services.style2 .each-block:hover .photo:before {
    transform: rotate(45deg);
    filter: brightness(0.9);
}

.ry-services.style2 .each-block:hover .photo img {
    transform: scale(0.8);
}
/* Meet the Team */
	/**/
#section-hp-team::before {
    background: var(--color-primary-background);
    width: 80%;
    left: 10%;
    opacity: .1;
    border-bottom-left-radius: 260px;
    border-bottom-right-radius: 25px;
	height: 95%;
}
/* Insurance */
	/**/
#hp-insurance-1 .overflow-hidden {
    padding-bottom: 0;
}
#hp-insurance-1 .swiper-slide {
    background: white;
}
#hp-insurance-1 .swiper-slide img {
    mix-blend-mode: normal;
}
/* Brand */
	/**/
/* Request Appointment */
	/**/
/* CUSTOM Myopia */
#custom-hp-myopia .background-section, #custom-hp-myopia .background-section img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: left;
}
/* Testimonials */
	/**/
.testimonials-swiper .swiper-wrapper p {
    color: white !important;
}
.testimonials-swiper .swiper-slide:nth-child(even) {
    background: var(--color-primary-background);
}
.testimonials-swiper .swiper-slide:nth-child(odd) {
    background: var(--color-secondary-background);
}
.testimonials-swiper .swiper-slide:nth-child(even) svg {
    color: var(--color-secondary-background);
}
#hp-testimonials-1::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 10%;
    width: 80%;
    height: 40%;
    background: var(--color-primary-background);
    opacity: .1;
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
}
/* Footer */
	/**/
#ry-footer-3 .footer-contents {
    border-radius: 25px;
}
#ry-footer-3::before {
    opacity: 1;
}
#ry-footer-3 .footer-contents::before, #ry-footer-3::after {
    background-color: black;
}
/*Media Queries*/
	/**/
@media (min-width: 768px) {
    .slider-info-left-bottom {
        bottom: 3%;
    }
}
@media screen and (max-width:1080px){
    .ry-services.style2 .each-block .photo:before {
        height: 100%;
    }
    
    .ry-services.style2 .each-block .photo img {
        z-index: 2;
        filter: brightness(0) invert(1);
        height: 80%;
        width: 80%;
        left: 10%;
        top: 10%;
    }
    
    .mobile-services .slick-track .each-block {
        margin-bottom: 105px;
    }
    
    .ry-services.style2 .each-block .title div {
        color: #374151;
    }
    
    .ry-services.style2 .each-block .title {
        bottom: -70px;
    }
	
	.ry-services.style2 .each-block .photo:before, .ry-services.style2 .each-block .photo img {
		transition: all .3s;
	}

	.ry-services.style2 .each-block:hover .photo:before {
		transform: rotate(45deg);
		filter: brightness(0.9);
	}

	.ry-services.style2 .each-block:hover .photo img {
		transform: scale(0.8);
	}
}
@media (min-width: 1081px) {
    .mobile-services {
        display: block;
    }
    .ry-services.style2 .ry-flex {
        display: none;
    }
    .ry-services.style2 .each-block .photo {
        position: relative;
        padding-bottom: 100%;
        border-radius: 999px;
        overflow: hidden
    }

    .ry-services.style2 .each-block .photo:before {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 2;
    }
    .ry-services.style2 .each-block:nth-child(even) .photo:before {
		background: url(https://s3.amazonaws.com/static.organiclead.com/Site-74617bfd-2b2a-426d-a174-290ea6c12e2d/Icons/DeSouzaOpto_services_yellow.png) center center no-repeat;
		background-size: cover;
	}
	.ry-services.style2 .each-block:nth-child(odd) .photo:before {
		background: url(https://s3.amazonaws.com/static.organiclead.com/Site-74617bfd-2b2a-426d-a174-290ea6c12e2d/Icons/DeSouzaOpto_services_blue.png) center center no-repeat;
		background-size: cover;
	}
    .ry-services.style2 .each-block .photo img {
        position: absolute;
        top: 15%;
        left: 15%;
        width: 70%;
        height: 70%;
        object-fit: cover;
        border-radius: 0;
        z-index: 2;
        filter: brightness(0) invert(1);
    }

    .ry-services.style2 .each-block .title {
        position: absolute;
        bottom: -85px;
        left: 50%;
        transform: translate(-50%, 0);
        z-index: 3;
        transition: .4s;
    }

    .ry-services.style2 .each-block .title div {
        font-size: 20px;
        color: #374151;
        line-height: 1;
    }

    .ry-services.style2 .each-block .link, .ry-services.style2 .each-block .link a {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 9;
        opacity: 0;
    }

    .ry-services.style2 .each-block .button-svg {
        display: none;
    }

    .mobile-services .slick-track .each-block {
        margin-left: 25px;
        margin-bottom: 125px;
        overflow: visible;
    }

    .mobile-services .slick-list {
        margin-left: -25px;
    }

    .mobile-services .slick-dots {
        margin-top: 30px;
        padding-left: 0;
        list-style: none;
        display: flex !important;
        justify-content: center;
        align-items: center;
    }

    .mobile-services .slick-dots li {
        margin: 0 3px;
        height: auto;
        line-height: initial;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .mobile-services .slick-dots li:not(.slick-active) {
        opacity: .5;
    }

    .mobile-services .slick-dots button {
        width: 12px;
        height: 12px;
        text-indent: -9999999px;
        background: #171717;
        border: unset;
        box-shadow: unset;
        border-radius: 50%;
    }

    .mobile-services .slick-arrow {
        display: none !important;
    }

    #services-7 .ry-content .content {
        max-width: 1280px;
    }

	.ry-services.style2 .each-block .photo:before, .ry-services.style2 .each-block .photo img {
		transition: all .3s;
	}

	.ry-services.style2 .each-block:hover .photo:before {
		transform: rotate(45deg);
		filter: brightness(0.9);
	}

	.ry-services.style2 .each-block:hover .photo img {
		transform: scale(0.8);
	}
}
@media (min-width: 768px) {
    .slider-info-center-bottom {
        bottom: 3%;
    }
}
@media (min-width: 1081px) {
    .ry-services.style2 .block-count-6 ~ .button-wrapper {
        top: 0%;
    }
}
@media screen and (max-width:1025px){
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
    .snap-mobile-menu {
        background-color: var(--color-primary-text);
    }
    
    mm-burger {
        color: var(--color-secondary-background);
    }
	#section-hp-team::before,
	.ry-services.style2::before{
		width: 100%;
		left: 0;
		border-radius: 0px
	}
}
@media screen and (max-width:767px){
    .slider-info {
        background-color: white !important;
    }
}
/* End - HP Edits*/

body[data-page-name="contact-us"] #footer-map {
	display: none !important;
}

body[data-page-name="contact-us"] #ry-footer-3 {
	padding-top: 220px;
}
.services-section .ry-container {
    padding:100px 0
}
.team-wrapper {
    display:flex;
    gap:20px;
    margin-top:60px;
    justify-content:center;
    align-items:start;
	z-index:1;
}

.team-wrapper .ry-each {
    width:48%;
    background:#FFF;
    padding:20px;
    border-radius:20px;
    display:flex;
    gap:20px;
    justify-content:space-between;
    align-items:center;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.team-wrapper .ry-each .ry-box-left {
    width:40%;
    border-radius:20px;
    overflow:hidden;
    
}

.team-wrapper .ry-each .ry-box-right {
    width:55%;
}
.team-wrapper .ry-each .ry-box-right h4 {
    font-size:22px;
    font-weight:500;
    margin-bottom:10px
}

.team-wrapper .ry-each .ry-box-right  p {
     overflow: hidden;
   display: -webkit-box;
   -webkit-line-clamp: 6;
           line-clamp: 6; 
   -webkit-box-orient: vertical;
}

.team-wrapper .ry-each .ry-box-right .ry-btn {
    padding:10px 20px;
    display:flex;
    justify-content:center;
    align-items:center;
    margin:15px 0 0 0
}
#ry-pg-body .services-section {
    padding:unset;
    background:transparent
}
#ry-pg-body .services-section .custom-headline {
    display:none
}

#ry-pg-body .services-section h4 {
    font-size:18PX !important;
    margin-bottom:10px;
	margin-top:0
}
#ry-pg-body .services-section p {
	margin:0;
	font-size:16px !important
}
#ry-pg-body .services-section img {
	padding:0;
	margin:0
}
#ry-pg-body .team-wrapper {
	margin-top:0
}
.ry-photo.left {
    width: 40%;
    max-width: 300px;
    padding: 0;
    margin: 0 30px 0 0;
    float:left
    
}
.ry-photo.left img {
    margin:0
}

@media(max-width:1280px){
	.team-wrapper {
		flex-direction:column
	}
	.team-wrapper .ry-each{
		width:100%
	}
}

@media(max-width:767px){
	.team-wrapper .ry-each .ry-box-right,
	.team-wrapper .ry-each .ry-box-left{
		width:100%;
	}
	.team-wrapper .ry-each * {
		text-align:center
	}
	.team-wrapper,.team-wrapper .ry-each{
		flex-direction:column
	}
	.team-wrapper .ry-each .ry-box-left img {
		max-width:400px;
		margin-inline:auto;
		border-radius:20px;
		width:100%
	}
	.team-wrapper .ry-each .ry-box-right .ry-btn {
		margin-inline:auto
    }
}
@media(max-width:480px) {
    .ry-photo.left {
        float:unset;
        width:100%;
        max-width:100%;
        margin:unset
    }
    .ry-photo.left img {
        width:100%
    }
}